ChangeLog for pommed
--------------------

Version 1.45lw:
	- pommed: support for June 2012 MacBook Air:
	MacBookAir5,1 (11"), MacBookAir5,2 (13").

Version 1.44lw:
	- pommed: support for gmux_backlight sysfs dir (thanks Thomas Chiroux
	  and Karsten Gebbert!)

Version 1.42lw:
	- pommed: adding support for MacbookAir4,1 and MacbookAir4,2 (thanks
	  jmlacroix!)

Version 1.41lw:
	- pommed: remove ambient sensor support

version 1.40lw:
	- pommed: remove dbus support
	- gpomme: remove
	- wmpomme: remove

version 1.39:
	- pommed: add new sysfs backlight driver apple_backlight.

version 1.38:
	- pommed: add support for the Early 2011 MacBook Pro:
	MacBookPro8,1 (13"), MacBookPro8,2 (15"), MacBookPro8,3 (17").
	- pommed: add acpi_video0 as a possible sysfs backlight driver.
	- pommed: allow disabling audio support entirely.

version 1.37:
	- pommed: fix oversight in applesmc probing change.
	- pommed: prefer nvidia_bl over Nouveau.
	- pommed: add new option to fade keyboard backlight instead of
	switching off when idle. From Alex Launi <alex.launi@canonical.com>.

version 1.36:
	- pommed: probe for applesmc through /sys/class/hwmon.
	- pommed: add support for the MacBook7,1 (April 2010).
	- all: use LDLIBS instead of adding libraries to LDFLAGS.
	- pommed: fix keyboard backlight fading on pmac.
	- pommed: lock/unlock auto kbd backlight using up/down keys.
	- pommed: add ADB product IDs for ANSI and JIS keyboard variants.

version 1.35:
	- pommed: fix crash if no fnmode sysfs node found.
	- pommed: add support for the MacBookAir3,1 & 3,2 (October 2010).

version 1.34:
	- pommed: be more careful when invoking eject (Alioth #312213).
	- pommed: add the nouveau sysfs backlight driver.

version 1.33:
	- pommed: added support for the MacBook6,1 (October 2009).
	- pommed: added support for the MacBookPro6,1 & 6,2 (Core i5/i7,
	April 2010).
	- pommed: kill PCI device check in nv8600mgt.
	- pommed: added support for the MacBookPro7,1 (13", Core2 Duo,
	April 2010). Requires a patched nvidia-bl module for backlight
	support at the moment.
	- gpomme: replaced Glade with hardcoded GTK+ code.

version 1.32:
	- pommed: add the rivabl sysfs backlight driver for older 12"
	PowerBook G4 laptops. Reported by Nic Boet.

version 1.31:
	- pommed: add IDs for newer wireless keyboard.
	- pommed: add the MacBookPro5,4 (15" June 2009).

version 1.30:
	- pommed: fix a crasher in the i2c probe routine on pmac.
	- pommed: fix sysfs backlight driver to handle > 3-digit values.

version 1.29:
	- pommed: add support for newer nvidia backlight driver which
	changed the sysfs layout.
	- pommed: move VT state checking to pommed, exposed over DBus.
	- gpomme: switch to asking pommed for the state of the VT.
	- wmpomme: switch to asking pommed for the state of the VT.

version 1.28:
	- pommed: added support for the MacBookPro5,3 (15" MacBookPro
	June 2009) 

version 1.27:
	- pommed: added support for the MacBook5,2 (white MacBook).
	- pommed: added support for the MacBookPro5,5 (13" MacBookPro June
	2009), MacBookPro5,2 (17" MacBookPro June 2009).

version 1.26:
	- pommed: only keystrokes on the built-in keyboard should reset
	the keyboard idle timer.
	- pommed: add USB IDs for the Apple external aluminium mini
	keyboard.
	- pommed: switch to sysfs resource files for PCI memory access
	instead of mmaping /dev/mem.

version 1.25:
	- pommed: check current hardware backlight level before setting AC
	or battery level. Do not act if the backlight is off.
	- pommed: do not reject the Apple Bluetooth keyboard because of
	advertised EV_ABS events.
	- pommed: fix DBus configuration snippet for newer, stricter
	version of DBus (allow clients to send messages).

version 1.24:
	- pommed: add new path for fnmode setting for 2.6.28.

version 1.23:
	- pommed: add backlight support for late 2008 laptops.
	- pommed: default to sysfs backlight driver for nVidia machines,
	with the mbp_nvidia_bl kernel driver; fall back to native
	nv8600mgt if not supported.
	- pommed: try to reconnect to DBus if DBus is not available at
	startup. Previously we would just drop it and live without DBus.

version 1.22:
	- pommed: do not probe for LMU controller on pmac machines that do
	not have a backlit keyboard. Avoids a spurious error message.
	- pommed: factor out ADB & LMU write routines, avoids duplicated
	code in the kbd_{lmu,pmu}_backlight_set() routines.
	- gpomme: add japanese translation for gpomme, courtesy of
	Nobuhiro Iwamatsu <iwamatsu@nigauri.org>.
	- pommed: use a common sysfs power class routine in power.c, add
	sysfs power class support for pmac machines.
	- pommed: added partial support for the October 2008 laptops
	(MacBook5,1, MacBookPro5,1, MacBookAir2,1), LCD backlight missing.
	- wmpomme: turn wmpomme into an event-driven dockapp, eliminating
	the fixed update rate (and, thus, wakeups). Thanks to Kalle
	A. Sandström for the prodding.

version 1.21:
	- gpomme: use compositing if available, patch by Soeren Sonnenburg.

version 1.20:
	- pommed: fix array boundary check in check_machine_dmi().
	- pommed: use BUS_BLUETOOTH for the Apple wireless keyboard.

version 1.19:
	- pommed: get rid of the libsmbios dependency on Intel machines.
	- gpomme: integrate config file monitoring and DBus messaging into
	the main loop. Get rid of the 10 times per second polling.
	- pommed: new event loop.
	- pommed: convert power and kbd to timers integrated into the
	event loop.
	- pommed: integrate DBus into the event loop.

version 1.18:
	- pommed: add more IDs for Apple external keyboards
	- pommed: relax event devices identification for internal keyboard.

version 1.17:
	- pommed: handle path change for the applesmc led interface
	starting with kernel 2.6.25.

version 1.16:
	- pommed: add support for the MacBookPro4,1.
	- pommed: add support for the MacBook4,1.
	- pommed: add support for the WellSpring keyboard+trackpad
	assembly ("MultiTouch"), found in the MacBookAir1,1.
	- pommed: add support for the WellSpring II keyboard+trackpad
	assembly ("MultiTouch"), most likely found in the MacBookPro4,1.
	- pommed: fix MacBook Air machine identification string, the real
	string is MacBookAir1,1 and not MacBook Air1,1 as the Apple
	technote puts it.

version 1.15:
	- pommed: add preliminary support for the MacBook Air1,1; USB IDs
	missing.
	- pommed: add support for power_supply class to the ACPI code.

version 1.14:
	- pommed: fix error handling in the audio sample loading code to
	properly report failure, preventing nasty segfaults later on in
	case the sound file is not available.
	- pommed: make goutte.wav the default beep sound, add click.wav
	and remove the KDE beep sound.

version 1.13:
	- pommed: add an option to disable the beep on volume change.
	- pommed: add the videoSwitch DBus notification.
	- wmpomme: add video switch support.
	- gpomme: add video switch support.
	- pommed: add support for LCD backlight control on the Intel 965GM
	found in the MacBook3,1.
	- pommed: rework the inotify code to handle several events at once
	and to handle events with long filenames (longer than
	sizeof(struct inotify_event)); pommed could enter a busy-loop when
	receiving an inotify event with ie->len > sizeof(struct inotify_event).

version 1.12:
	- pommed: do not expect at least 3 evdevs at startup; there are
	only 2 on the MacBook, and possibly only 1 on the pmac machines.

version 1.11:
	- pommed: beep on volume change, now that we have the audio code
	in pommed itself.
	- gpomme: remove audio-related code.
	- pommed: partial support (ie. no LCD backlight yet) for the
	MacBook3,1 (MacBook Core2 Duo Santa Rosa, November 2007).
	- pommed: rework the event management. Use epoll() for event
	polling instead of poll(). Use inotify to watch new event devices
	appear in /dev/input. This effectively fixes our disappearing
	event devices issues after suspend. YAY.
	- pommed: add support for the external Apple USB keyboards, white
	& alu. If you have such a keyboard with another USB ID, please
	contact me. Patch from Carmine 'earcar' Paolino <earcar@gmail.com>.
	- pommed: add secondary locations for the uinput device
	node. Heads up & patch from Carmine 'earcar' Paolino.

version 1.10:
	- pommed: add a beeper feature as a substitute to the missing PC
	Speaker. The feature is disabled by default, as not all machines
	need it and not everybody wants it ;)

version 1.9:
	- pommed: add an idle timer to automatically switch off the
	keyboard backlight. Suggested by Javier Marcet.
	- pommed: turn has_kbd_backlight() into an inline function.
	- pommed: kill code duplication in the main loop.

version 1.8:
	- pommed: probe for the applesmc sysfs path in the ambient light
	handling code. The path has changed in Linux 2.6.22.
	- pommed: added automatic LCD backlight dimming when switching
	from AC to battery power (and vice-versa).
	- pommed: send out DBus notification when the automatic LCD
	backlight dimming kicks in (similar to the automatic keyboard
	backlight notification).
	- gpomme: adjust for the new LCD backlight notification.
	- Add the gpomme icon contributed by Jan Larres
	<jan@majutsushi.net> under the icons/ directory.
	- pommed: add support for the nVidia GeForce 8600M GT found in the
	MacBookPro3,1. I don't like that code, if there's something better
	that can be used, please mail me.

version 1.7:
	- pommed: add partial support for the MacBookPro3,1 (Core2 Duo,
	15" & 17", June 2007). New Apple IR receiver too. Missing nVidia
	backlight control.

version 1.6:
	- pommed: add new "Apple Inc." vendor ID in SMBIOS routine.

version 1.5:
	- pommed: back to using eject(1) for CD ejection.
	- pommed: fallback to of_find_node_by_name() for LMU controller
	detection; it seems some PowerBooks (5,4) do not have a node type
	associated with the node in the device-tree.

version 1.4:
	- pommed: add proper support for the PowerBook5,8 and PowerBook5,9
	(PMU05 machines); add Geyser keyboard identification, PMU05
	ambient light sensors and keyboard backlight. Thanks Gaudenz
	Steilin for the report and testing.
	- pommed: added a simple backlight toggle mode, used when the
	automatic backlight is disabled in the configuration file.
	- pommed: enumerate i2c adapters.

version 1.3:
	- gpomme: added configuration GUI, courtesy of Daniel G. SIEGEL.
	- gpomme: added elegant-bright and elegant-dark themes, courtesy
	of Natanael Arndt <arndtn@gmx.de>.
	- pommed: rewrote CD ejection routine; no longer depends on eject,
	sends the dbus notification before ejecting the CD.
	- pommed: add DBus methods to control pommed over DBus. Original
	patch by Alexis ROBERT <alexis@fnux.org>.
	- pommed: add keyboard backlight fading for automatic keyboard
	backlight. Based on a patch from Mario Oschwald
	<mario.oschwald@hpi.uni-potsdam.de>.
	- pommed: try harder to reopen the event devices when coming back
	from suspend.

version 1.2:
	- pommed: PowerBook5,5 has an ADB keyboard, not a USB keyboard.
	- Added October 2003 iBook G4 support (PowerBook6,3), patch by
	Arthur PETITPIERRE.
	- pommed: tell DBus clients who is adjusting the keyboard
	backlight, so they can decide to skip the notification if it's not
	the user itself.
	- gpomme: adapt to the new DBus notification.
	- wmpomme: adapt to the new DBus notification.
	- pommed: added support for nVidia GPUs.
	- pommed: added support for mouseemu users (mouseemu virtual
	keyboard)
	- pommed: rework keyboard backlight automatic mode, the backlight
	off key now works as a toggle for the automatic mode, as it does
	on Mac OS X
	- pommed: turn off keyboard backlight when lid is closed
	- pommed: added UNTESTED support for
		  + PowerBook3,3: PowerBook G4 Titanium 15" October 2001
		  + PowerBook3,4: PowerBook G4 Titanium 15" April 2002
		  + PowerBook3,5: PowerBook G4 Titanium 15"
		  + PowerBook5,1: PowerBook G4 Aluminium 17"
		  + PowerBook5,2: PowerBook G4 Aluminium 15" September 2003
		  + PowerBook5,3: PowerBook G4 Aluminium 17" September 2003	
		  + PowerBook5,4: PowerBook G4 Aluminium 15" April 2004
		  + PowerBook5,8: PowerBook G4 Aluminium 15"
		  + PowerBook5,9: PowerBook G4 Aluminium 17"
		  + PowerBook6,1: PowerBook G4 12" January 2003
		  + PowerBook6,2: PowerBook G4 12" September 2003
		  + PowerBook6,3: iBook G4 October 2003
		  + PowerBook6,4: PowerBook G4 12" April 2004
		  + PowerBook6,5: iBook G4 October 2004
		  + PowerBook6,7: iBook G4
		  + PowerBook6,8: PowerBook G4 12"

	If you own one of the machines listed above, please test pommed by
	running pommed -d and tell us:
	   - if it works at all
	   - if, not running either pommed or pbbuttonsd, pressing the
	     backlight up/down keys makes the backlight level change
	Please send the debug output along with these information; we know
	that pommed won't work out of the box on some of these machines.

version 1.1:
	- gpomme: added theme selection; use -t theme_name to select the
	theme to use.
	- gpomme: added the Tango theme provided by Daniel G. Siegel.
	- gpomme: added multiple head support, based on a patch by Eduardo
	Bellido Bellido.

version 1.0:
	- Renamed to pommed in anticipation of the PowerBook support
	- Added fnmode setting
	- Added DBus support: signals and get methods
	- Add -d option to pommed, displays debug messages (replaces -DDEBUG)

version 0.9:
	- Added preliminary audio support: increase and decrease PCM, mute and
	unmute both Headphone and Front
	- Allow disabling the initial backlight level setting

version 0.8:
	- wait for both light sensors to be under the threshold before
	lighting up the keyboard backlight; switch it off as soon as one
	of the sensors gets past the threshold.
	- added a configuration file
	- added optional Apple Remote control support

version 0.7:
	- allow MacBook users to switch off the LCD backlight entirely
	- fix model identifier string for the Core2 Duo MacBook
